=== debian/changelog ===
sfeed (1.6-1) unstable; urgency=low

  * Initial release (Closes: #1000594 and #1008853)

 -- Hiltjo Posthuma <hiltjo@codemadness.org>  Thu, 15 Sep 2022 21:40:07 +0200
