## sfeed 1.7

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .POSIX:
 
 NAME = sfeed
-VERSION = 1.6
+VERSION = 1.7
 
 # curses theme, see themes/ directory.
 SFEED_THEME = mono
