=== debian/changelog ===
sfeed (1.7-1) unstable; urgency=medium

  * sfeed_curses:
    * Add SCO keys for next, prior (CSI I and CSI G).
    * Add SUN keys support.

  * sfeed_gopher:
    * Remove unnecessary PATH_MAX restricting the path length.
      This also makes it compile cleanly on GNU/Hurd.

  * Man page and documentation improvements.

 -- Hiltjo Posthuma <hiltjo@codemadness.org>  Sat, 25 Feb 2023 15:11:29 +0100
