## sfeed 1.9

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .POSIX:
 
 NAME = sfeed
-VERSION = 1.7
+VERSION = 1.9
 
 # curses theme, see themes/ directory.
 SFEED_THEME = mono
@@ -26,7 +26,7 @@
 SFEED_CURSES = sfeed_curses
 SFEED_CURSES_CFLAGS = ${CFLAGS}
 SFEED_CURSES_CPPFLAGS = -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=700 -D_BSD_SOURCE \
-	 -DSFEED_THEME=\"themes/${SFEED_THEME}.h\" ${SFEED_CPPFLAGS}
+	 -DSFEED_THEME=\"themes/${SFEED_THEME}.h\"
 SFEED_CURSES_LDFLAGS = ${LDFLAGS} -lcurses
 
 # Linux: some distros use ncurses and require -lncurses.
@@ -34,7 +34,7 @@
 
 # Gentoo Linux: some distros might also require -ltinfo and -D_DEFAULT_SOURCE
 # to prevent warnings about feature test macros.
-#SFEED_CURSES_LDFLAGS = ${LDFLAGS} -lcurses -ltinfo
+#SFEED_CURSES_LDFLAGS = ${LDFLAGS} -lncurses -ltinfo
 
 # FreeBSD: unset feature test macros for SIGWINCH etc.
 #SFEED_CURSES_CPPFLAGS =
@@ -51,6 +51,7 @@
 	sfeed_frames\
 	sfeed_gopher\
 	sfeed_html\
+	sfeed_json\
 	sfeed_mbox\
 	sfeed_opml_import\
 	sfeed_plain\
