=== debian/changelog ===
sfeed (1.9-1) unstable; urgency=medium

  * Fixes:
    * sfeed_atom: for gmtime_r() make the error message consistent.
    * sfeed_markread: fail early if creating a temporary file failed.
    * Code-cleaning and pedantic fixes.
    * Documentation improvements.

  * Features:
    * sfeed_{curses,frames,gopher,html,plain}: add $SFEED_NEW_AGE
    * sfeed_update/sfeedrc: add url as a parameter to the filter() and order()
      function. This makes it easier to set filters or ordering by pattern
      matching on a group of feeds by the feed URL.
    * sfeed_curses: move one line down when marking an item as read or unread.

 -- Hiltjo Posthuma <hiltjo@codemadness.org>  Wed, 30 Aug 2023 12:34:56 +0100

sfeed (1.8-1) unstable; urgency=medium

  * Fixes:
    * sfeed_update: fail early if creating a temporary directory or status file
      fails.
    * sfeed_atom, sfeed_json, sfeed_mbox:
      Fix reading past the buffer with an escaped NUL byte (\ NUL).
      Note that this could not happen with output from sfeed itself. Only if
      it was manipulated.
    * sfeed_curses: fix (very hard to trigger) memleak when getline() returns
      EOF for lazyloaded items.
    * sfeed parser:
      * Improve parsing RFC2822 obsolete short year.
      * Use errno ENOMEM instead of EOVERFLOW.
        This matches the behaviour of setting errno for malloc/calloc on the
        following systems too: glibc, musl libc, OpenBSD libc.
      * date to unix timestamp: fix incorrect int type to long.
    * Makefile: remove duplicate CPPFLAGS for sfeed_curses

  * Features:
    * sfeed_json: add JSON output format tool: formats the TSV data to JSON.
      It is a subset of JSON Feed 1.1: https://www.jsonfeed.org/version/1.1/

  * Optimizations:
    * sfeed_atom: save a few bytes in the output by removing the type="text"
      attribute, because for Atom the default for the type is text.
    * Slightly reduce stack size for translating XML entities.
      A numeric entity could use 5 bytes, so use a round number of 8 bytes.

  * Misc:
    * sfeed: simplify time calculation and make it slightly easier to read.
    * Remove the sfeed name in some outputs ("branding").
    * Documentation improvements.

 -- Hiltjo Posthuma <hiltjo@codemadness.org>  Sun, 23 Apr 2023 12:34:56 +0100
