## sfeed 2.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .POSIX:
 
 NAME = sfeed
-VERSION = 1.9
+VERSION = 2.0
 
 # curses theme, see themes/ directory.
 SFEED_THEME = mono
