=== debian/changelog ===
sfeed (2.0-1) unstable; urgency=medium

  * Features:
    * sfeed_update: use xargs -P for improved job handling when updating
      feeds in parallel.
    * sfeed_update: update default maxjobs from 8 to 16.

  * Fixes:
    * sfeed_json: fix name of "url" field for attachments.
    * sfeed_opml_export and sfeed_update: allow only regular files.
    * sfeed_update: improve compatibility with zsh as a non-interactive
      shell, because some variables likes like $path and $status are
      reserved.
    * sfeed_update:
      when the feeds() function is not defined then exit with status
      code 1 (this was incorrectly status code 0).
    * sfeed_update: improvements in the cleanup of temporary files for
      edge-cases.

  * Code improvements:
    * sfeed_curses/sfeed_gopher: mark functions as static.
    * sfeed_gopher: fix a clang-analyzer warning.
    * sfeed_update: in the order() function suppress output to stderr,
      like merge() already does.
    * Some small documentation improvements.

 -- Hiltjo Posthuma <hiltjo@codemadness.org>  Fri, 29 Dec 2023 12:34:56 +0100
