## sfeed 2.2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .POSIX:
 
 NAME = sfeed
-VERSION = 2.0
+VERSION = 2.2
 
 # curses theme, see themes/ directory.
 SFEED_THEME = mono
@@ -146,7 +146,7 @@
 install: all
 	# installing executable files and scripts.
 	mkdir -p "${DESTDIR}${PREFIX}/bin"
-	cp -f ${BIN} ${SCRIPTS} "${DESTDIR}${PREFIX}/bin"
+	cp -fRP ${BIN} ${SCRIPTS} "${DESTDIR}${PREFIX}/bin"
 	for f in ${BIN} ${SCRIPTS}; do chmod 755 "${DESTDIR}${PREFIX}/bin/$$f"; done
 	# installing example files.
 	mkdir -p "${DESTDIR}${DOCPREFIX}"
