=== debian/changelog ===
sfeed (2.2-1) unstable; urgency=medium

  * Improvements: 
    * sfeed.c: optimize tag lookup by reverting the binary search to a
      linear lookup. This is because the tags table is very small.

  * Documentation fixes:
    * README, sfeedrc.5: improve If-Modified-Since example:
      * Use the exact server timestamp to compare modified content
        (curl -R option). Using the client timestamp is imprecise.
      * Do not use the modified timestamp of the ETag for If-Modified-Since
        this can differ as well.

 -- Hiltjo Posthuma <hiltjo@codemadness.org>  Tue, 11 Mar 2025 12:34:56 +0100

sfeed (2.1-1) unstable; urgency=medium

  * Fixes:
    * xml.c parsing fix: improve parsing whitespace after end tag names.
    * sfeed_update: fix: leave IFS unchanged for sfeedrc code.
    * sfeed.c, small pedantic time parsing improvements.

  * Documentation improvements.
  * Code-style improvements.

 -- Hiltjo Posthuma <hiltjo@codemadness.org>  Thu, 26 Dec 2024 12:34:56 +0100
