=== debian/control ===
Source: sfeed
Section: net
Priority: optional
Maintainer: Hiltjo Posthuma <hiltjo@codemadness.org>
Build-Depends: debhelper-compat (= 13), ncurses-dev
Standards-Version: 4.5.1
Homepage: https://codemadness.org/sfeed.html
Vcs-Browser: https://codemadness.org/git/sfeed/
Vcs-Git: git://git.codemadness.org/sfeed
Rules-Requires-Root: no

Package: sfeed
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: curl
Suggests: lynx, xclip
Description: RSS and Atom parser
 RSS and Atom parser (and some format programs).
 It converts RSS or Atom feeds from XML to a TAB-separated file. There are
 formatting programs included to convert this TAB-separated format to various
 other formats. There are also some programs and scripts included to import and
 export OPML and to fetch, filter, merge and order feed items.
