## sfeed 2.3

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .POSIX:
 
 NAME = sfeed
-VERSION = 2.2
+VERSION = 2.3
 
 # curses theme, see themes/ directory.
 SFEED_THEME = mono
