=== debian/changelog ===
sfeed (2.3-1) unstable; urgency=medium

  For this release if you use sfeed_mbox: because of some changes the
  Message-ID value will be different. This may be important for example
  if you use this header for filtering duplicate messages.

  Fixes:

    * sfeed_update: when merging a record: change the default to use the
      last record.
    * sfeed_mbox: be more strict about what characters to allow in the To
      and Message-ID header.

  Features:

    * sfeed_gopher: improve output and nicer formatting of the index file.
    * sfeed_mbox: add more mail headers. This allows more convenient
      filtering in many mail clients.

  * Various small code cleanups and documentation improvements:
    * xml.c: validate numeric entities more strictly.
    * Handle unlikely case argc < 1 in programs.
    * Fix some pedantic warnings suggested by cppcheck.

 -- Hiltjo Posthuma <hiltjo@codemadness.org>  Mon, 29 Dec 2025 12:34:56 +0100
