=== debian/control ===
--- 
+++ 
@@ -3,10 +3,8 @@
 Priority: optional
 Maintainer: Hiltjo Posthuma <hiltjo@codemadness.org>
 Build-Depends: debhelper-compat (= 13), ncurses-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Homepage: https://codemadness.org/sfeed.html
-Vcs-Browser: https://codemadness.org/git/sfeed/
-Vcs-Git: git://git.codemadness.org/sfeed
 Rules-Requires-Root: no
 
 Package: sfeed
