## sfeed curses-0.3

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .POSIX:
 
 NAME = sfeed_curses
-VERSION = 0.2
+VERSION = 0.3
 
 # paths
 PREFIX = /usr/local
