## sfeed curses-0.7

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .POSIX:
 
 NAME = sfeed_curses
-VERSION = 0.4
+VERSION = 0.7
 
 # paths
 PREFIX = /usr/local
