## sfeed curses-0.8.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .POSIX:
 
 NAME = sfeed_curses
-VERSION = 0.7
+VERSION = 0.8.1
 
 # paths
 PREFIX = /usr/local
@@ -17,10 +17,12 @@
 #SFEED_LDFLAGS = ${LDFLAGS} -lncurses
 
 BIN = sfeed_curses
+SCRIPTS = sfeed_markread
 
 SRC = ${BIN:=.c}
 
-MAN1 = ${BIN:=.1}
+MAN1 = ${BIN:=.1}\
+	${SCRIPTS:=.1}
 DOC = \
 	LICENSE\
 	README\
@@ -43,7 +45,7 @@
 dist:
 	rm -rf "${NAME}-${VERSION}"
 	mkdir -p "${NAME}-${VERSION}"
-	cp -f ${MAN1} ${DOC} ${SRC} Makefile \
+	cp -f ${MAN1} ${DOC} ${SRC} ${SCRIPTS} Makefile \
 		"${NAME}-${VERSION}"
 	# make tarball
 	tar cf - "${NAME}-${VERSION}" | \
