## sfeed curses-0.9.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .POSIX:
 
 NAME = sfeed_curses
-VERSION = 0.8.2
+VERSION = 0.9.1
 
 # paths
 PREFIX = /usr/local
@@ -17,7 +17,7 @@
 #SFEED_LDFLAGS = ${LDFLAGS} -lncurses
 
 BIN = sfeed_curses
-SCRIPTS = sfeed_markread
+SCRIPTS = sfeed_content sfeed_markread
 
 SRC = ${BIN:=.c}
 
@@ -25,8 +25,7 @@
 	${SCRIPTS:=.1}
 DOC = \
 	LICENSE\
-	README\
-	content.example.sh
+	README
 
 all: ${BIN}
