## sfeed curses-0.9.3

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .POSIX:
 
 NAME = sfeed_curses
-VERSION = 0.9.2
+VERSION = 0.9.3
 
 # paths
 PREFIX = /usr/local
@@ -15,6 +15,11 @@
 
 # Linux: some distros use ncurses and require -lncurses.
 #SFEED_LDFLAGS = ${LDFLAGS} -lncurses
+
+# Gentoo Linux: some distros might also require -ltinfo and -D_DEFAULT_SOURCE
+# to prevent warnings about feature macros.
+#SFEED_LDFLAGS = ${LDFLAGS} -lcurses -ltinfo
+#SFEED_CPPFLAGS = -D_DEFAULT_SOURCE -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -D_BSD_SOURCE
 
 BIN = sfeed_curses
 SCRIPTS = sfeed_content sfeed_markread
@@ -37,7 +42,7 @@
 ${OBJ}:
 
 .o:
-	${CC} ${SFEED_LDFLAGS} -o $@ $<
+	${CC} -o $@ $< ${SFEED_LDFLAGS}
 
 .c.o:
 	${CC} ${SFEED_CFLAGS} ${SFEED_CPPFLAGS} -o $@ -c $<
