## sfeed curses-0.9.8

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .POSIX:
 
 NAME = sfeed_curses
-VERSION = 0.9.7
+VERSION = 0.9.8
 
 # theme, see themes/ directory.
 SFEED_THEME = mono
